﻿Public Module StaticValues

	Private _BibleBooks As String()
	Private _AvailableLanguages As List(Of KeyValuePair(Of String, Translation))

	Public Class Translation
		Property LanguageCode As String
		Property Language As String
		Property RightToLeft As Boolean
		Property Hebrew As Boolean
		Property Greek As Boolean

		Sub New(LanguageCode As String, Language As String, RightToLeft As Boolean, Hebrew As Boolean, Greek As Boolean)
			Me.LanguageCode = LanguageCode
			Me.Language = Language
			Me.RightToLeft = RightToLeft
			Me.Hebrew = Hebrew
			Me.Greek = Greek
		End Sub

		Public Overrides Function ToString() As String
			Return Language
		End Function
	End Class

	Public ReadOnly Property AvailableLanguages As List(Of KeyValuePair(Of String, Translation))
		Get
			If _AvailableLanguages Is Nothing Then

				_AvailableLanguages = New List(Of KeyValuePair(Of String, Translation))

				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/af/wol/b/r52/lp-af/", New Translation("af", "Afrikaans", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/am/wol/b/r93/lp-am/", New Translation("am", "Amharic", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ar/wol/b/r39/lp-a/", New Translation("ar", "العربية", True, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/az-latn/wol/b/r81/lp-ajr/", New Translation("az-latn", "Azerbaijani", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/bem/wol/b/r61/lp-cw/", New Translation("bem", "Cibemba", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/bg/wol/b/r46/lp-bl/", New Translation("bg", "Български", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ceb/wol/d/r101/lp-cv/", New Translation("ceb", "Cebuano", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/cs/wol/b/r29/lp-b/", New Translation("cs", "Česky", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/da/wol/b/r9/lp-d/", New Translation("da", "Dansk", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/de/wol/b/r10/lp-x/", New Translation("de", "Deutsch", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ee/wol/b/r114/lp-ew/", New Translation("ee", "Ewe", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/efi/wol/b/r35/lp-ef/", New Translation("efi", "Efịk", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/el/wol/b/r11/lp-g/", New Translation("el", "Ελληνική", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/en/wol/b/r1/lp-e/Rbi8/E/1984/", New Translation("en1984", "English (1984)", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/en/wol/b/r1/lp-e/nwt/E/2013/", New Translation("en2013", "English (2013)", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/es/wol/b/r4/lp-s/", New Translation("es", "Español", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/et/wol/b/r37/lp-st/", New Translation("et", "Eesti", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/fi/wol/b/r16/lp-fi/", New Translation("fi", "Suomi", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/fr/wol/b/r30/lp-f/", New Translation("fr", "Français", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/guw/wol/b/r63/lp-eg/", New Translation("guw", "Gun", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/hi/wol/b/r108/lp-hi/", New Translation("hi", "हिन्दी", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/hil/wol/b/r94/lp-hv/", New Translation("hil", "Hiligaynon", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ho/wol/b/r74/lp-mo/", New Translation("ho", "Hiri Motu", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/hr/wol/b/r19/lp-c/", New Translation("hr", "Hrvatski", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/HT/wol/b/r60/lp-cr/", New Translation("HT", "Haitian Creole", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/hu/wol/b/r17/lp-h/", New Translation("hu", "Magyar", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/hy-armn/wol/b/r44/lp-rea/", New Translation("hy-armn", "Հայերեն", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/id/wol/b/r25/lp-in/", New Translation("id", "Bahasa Indonesia", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ig/wol/b/r31/lp-ib/", New Translation("ig", "Igbo", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ilo/wol/b/r115/lp-il/", New Translation("ilo", "Iloko", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/it/wol/b/r6/lp-i/", New Translation("it", "Italiano", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ja/wol/b/r7/lp-j/", New Translation("ja", "日本語", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ka/wol/b/r20/lp-ge/", New Translation("ka", "ქართული", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/kk-cyrl/wol/b/r43/lp-az/", New Translation("kk-cryl", "Қазақша", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ko/wol/b/r8/lp-ko/", New Translation("ko", "한국어", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/kqn/wol/b/r68/lp-kd/", New Translation("kqn", "Kikaonde", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ky/wol/b/r51/lp-kz/", New Translation("ky", "кыргызча", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/loz/wol/b/r72/lp-sk/", New Translation("loz", "Silozi", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/lue/wol/b/r67/lp-lv/", New Translation("lue", "Luvale", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/lv/wol/b/r49/lp-lt/", New Translation("lv", "Latviešu", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/lt/wol/b/r32/lp-l/", New Translation("lt", "Lietuvių", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/mg/wol/b/r26/lp-mg/", New Translation("mg", "Malagasy", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/mk/wol/b/r102/lp-mc/", New Translation("mk", "Македонски", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/mt/wol/b/r86/lp-mt/", New Translation("mt", "Maltese", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ne/wol/b/r56/lp-np/", New Translation("ne", "Nepali", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/nl/wol/b/r18/lp-o/", New Translation("nl", "Nederlands", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/no/wol/b/r3/lp-n/", New Translation("no", "Norsk", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ny/wol/b/r107/lp-cn/", New Translation("ny", "Chichewa", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/os/wol/b/r97/lp-oss/", New Translation("os", "Ossetian", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pa/wol/b/r79/lp-pj/", New Translation("pa", "Punjabi", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pag/wol/b/r116/lp-pn/", New Translation("pag", "Pangasinan", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pap/wol/b/r99/lp-pa/", New Translation("pap", "Papiamento (Curaçao)", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pis/wol/b/r103/lp-sp/", New Translation("pis", "Solomon Islands Pidgin", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pl/wol/b/r12/lp-p/", New Translation("pl", "Polski", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/pt/wol/b/r5/lp-t/", New Translation("pt", "Português", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ro/wol/b/r34/lp-m/", New Translation("ro", "Română", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/run/wol/b/r82/lp-ru/", New Translation("run", "Kirundi", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ru/wol/b/r2/lp-u/", New Translation("ru", "Русский", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sk/wol/b/r38/lp-v/", New Translation("sk", "Slovenčina", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sg/wol/b/r87/lp-sg/", New Translation("sg", "Sango", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sl/wol/b/r64/lp-sv/", New Translation("sl", "Slovenščina", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sn/wol/b/r45/lp-ca/", New Translation("sn", "Shona", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sq/wol/b/r41/lp-al/", New Translation("sq", "Shqip", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sr-cyrl/wol/b/r54/lp-sb/", New Translation("sr-cyrl", "Српски", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/srn/wol/b/r50/lp-sr/", New Translation("srn", "Sranantongo", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/st/wol/b/r21/lp-su/", New Translation("st", "Sesotho", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sv/wol/b/r14/lp-z/", New Translation("sv", "Svenska", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/sw/wol/b/r13/lp-sw/", New Translation("sw", "Kiswahili", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/th/wol/b/r113/lp-si/", New Translation("th", "ไทย", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/tl/wol/b/r27/lp-tg/", New Translation("tl", "Tagalog", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/to/wol/b/r83/lp-to/", New Translation("to", "Tongan", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/toi/wol/b/r70/lp-cg/", New Translation("toi", "Chitonga", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/tpi/wol/b/r75/lp-mp/", New Translation("tpi", "Tok Pisin", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/tr/wol/b/r22/lp-tk/", New Translation("tr", "Türkçe", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/ts/wol/b/r84/lp-ts/", New Translation("ts", "Tsonga", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/tt/wol/b/r100/lp-tat/", New Translation("tt", "Tatar", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/tw/wol/b/r33/lp-tw/", New Translation("tw", "Twi", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/uk/wol/b/r15/lp-k/", New Translation("uk", "Українська", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/uz-cyrl/wol/b/r42/lp-uz/", New Translation("uz-cyrl", "Ўзбекча", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/vi/wol/b/r47/lp-vt/", New Translation("vi", "Tiếng Việt", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/war/wol/b/r110/lp-sa/", New Translation("war", "Waray-Waray", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/yo/wol/b/r36/lp-yr/", New Translation("yo", "Yorùbá", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/yua/wol/b/r40/lp-may/", New Translation("yua", "Maya", False, False, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/zh-Hans/wol/b/r23/lp-chs/", New Translation("zh-Hans", "汉语(简化字)", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/zh-Hant/wol/b/r24/lp-ch/", New Translation("zh-Hant", "漢語(繁體字)", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("pinyin~http://wol.homenet.org/zh-Hans/wol/b/r23/lp-chs/", New Translation("zh-Pinyin", "Hànyǔ Pīnyīn", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("sydneylau~http://wol.homenet.org/zh-Hans/wol/b/r23/lp-chs/", New Translation("zh-Sidney Lau", "Sidney Lau", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("zhuyin~http://wol.homenet.org/zh-Hans/wol/b/r23/lp-chs/", New Translation("zh-Zhuyin", "ㄅㄆㄇㄈ", False, True, True)))
				_AvailableLanguages.Add(New KeyValuePair(Of String, Translation)("http://m.wol.jw.org/zu/wol/b/r28/lp-zu/", New Translation("zu", "IsiZulu", False, True, True)))
			End If

			Return _AvailableLanguages
		End Get
	End Property

End Module